#5 minor change for compilation before 0.9.7

closed-wont-fix
nobody
None
2
2008-03-12
2004-10-22
Walter Wong
No

SSL_OP_CIPHER_SERVER_PREFERENCE was introduced in
OpenSSL 0.9.7. Unfortunately, I still had 0.9.6 installed.

The attached patch just ifdefs around the new constant.

You may just want to punt this patch and just tell
people to install 0.9.7 or later.

Discussion

  • Walter Wong

    Walter Wong - 2004-10-22

    change to src/ssl/ssl.c for compilation with openssl 0.9.6

     
  • Walter Wong

    Walter Wong - 2004-10-22
    • summary: minor change to allow openssl 0.6 --> minor change for compilation before 0.9.7
     
  • Walter Wong

    Walter Wong - 2004-10-22
    • priority: 5 --> 2
     
  • Jp Calderone

    Jp Calderone - 2008-03-12
    • status: open --> closed-wont-fix
     
  • Jp Calderone

    Jp Calderone - 2008-03-12

    Logged In: YES
    user_id=366566
    Originator: NO

    0.9.6 is quite outdated at this point. I don't think there's much point adding support for it now, though it would have been a good idea four years ago. ;)